All of lore.kernel.org
 help / color / mirror / Atom feed
From: sakib.sajal@windriver.com
To: <yocto@lists.yoctoproject.org>
Subject: [PATCH yocto-autobuilder-helper 3/4] collect-results: collect "host_stats" files generated by collect-data template
Date: Tue, 13 Apr 2021 13:02:09 -0400	[thread overview]
Message-ID: <20210413170210.72845-3-sakib.sajal@windriver.com> (raw)
In-Reply-To: <20210413170210.72845-1-sakib.sajal@windriver.com>

collect-data template generates host_stats files which are collected.
All files are published, file names are determined by the contents:
    - Files that contain "top" output are named host_stats_<number>_top.txt
    - host_stats_<number>.txt otherwise

Signed-off-by: Sakib Sajal <sakib.sajal@windriver.com>
Signed-off-by: Randy MacLeod <Randy.MacLeod@windriver.com>
---
 scripts/collect-results | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/scripts/collect-results b/scripts/collect-results
index 5db43fb..7474e36 100755
--- a/scripts/collect-results
+++ b/scripts/collect-results
@@ -17,3 +17,22 @@ if [ -e $WORKDIR/buildhistory ]; then
         $WORKDIR/../scripts/buildhistory-diff -p $WORKDIR/buildhistory ab-fetchrev > $DEST/$target/buildhistory.txt
     fi
 fi
+
+HSFILE=$WORKDIR/tmp/buildstats/*/host_stats
+d=`date +%Y-%m-%d--%H-%M`
+
+mkdir -p $DEST/$target/$d
+
+step=0
+for f in $HSFILE; do
+	if [ -e $f ]; then
+	    cp $f $DEST/$target/$d
+	    grep -m 1 "^top -" $f
+	    if [ $? -eq 0 ]; then
+		    mv $DEST/$target/$d/`basename $f` $DEST/$target/$d/`basename $f`_${step}_top.txt
+	    else
+		    mv $DEST/$target/$d/`basename $f` $DEST/$target/$d/`basename $f`_${step}.txt
+	    fi
+	    step=$((step+1))
+	fi
+done
-- 
2.25.1


  parent reply	other threads:[~2021-04-13 17:02 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-13 17:02 [PATCH yocto-autobuilder-helper 1/4] config.json: add "collect-data" template sakib.sajal
2021-04-13 17:02 ` [PATCH yocto-autobuilder-helper 2/4] config.json: collect data by default sakib.sajal
2021-04-16  8:28   ` [yocto] " Richard Purdie
     [not found]   ` <1676495329CC3E3C.31742@lists.yoctoproject.org>
2021-04-16  9:05     ` Richard Purdie
2021-04-13 17:02 ` sakib.sajal [this message]
2021-04-13 17:02 ` [PATCH yocto-autobuilder-helper 4/4] generate-testresult-index.py: publish host data collected by collect-data template sakib.sajal
2021-04-15 13:52 ` [yocto] [PATCH yocto-autobuilder-helper 1/4] config.json: add "collect-data" template Richard Purdie
2021-04-15 15:31   ` sakib.sajal
2021-04-15 15:55     ` Richard Purdie
2021-04-15 17:55       ` Randy MacLeod
2021-04-15 20:48         ` Randy MacLeod
2021-04-16 21:35           ` Randy MacLeod
2021-04-20 21:50           ` [yocto] [PATCH yocto-autobuilder-helper 1/4] config.json: add "collect-data" template -- Build: 20210420-1 Randy MacLeod

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210413170210.72845-3-sakib.sajal@windriver.com \
    --to=sakib.sajal@windriver.com \
    --cc=yocto@lists.yoctoproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.